#include <sys/types.h>
#include <time.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <math.h>
#include <string.h>
#include "ora_date.h"

int main(int argc, char *argv[])
{
  char *ch;
  char *where_went;
  time_t n;
  char *ifmt = "DD-MON-YY";
  char *ofmt = "DD.MM.YYYY HH24:MI:SS";
  char *tz1 = "GMT";
  char *tz2 = "CET";

  if (argc < 2)
  {
    fprintf(stderr, 
            "Format is : %s <date/time> [From TZ] [To TZ] [In fmt] [Out fmt]\n",
	    argv[0]);

    return 1;
  }
  if (argc >= 3)
    tz1 = argv[2];
  if (argc >= 4)
    tz2 = argv[3];
  if (argc >= 5)
    ifmt = argv[4];
  if (argc >= 6)
    ofmt = argv[5];

  ch = "Not Valid";
  if (date_val(argv[1], ifmt, &where_went, &n) != (struct tm *)NULL)
    ch = to_char(n, ofmt);

  printf("%s : %s\n", tz1, ch);

  ch = to_char(new_time(n, tz1, tz2), ofmt);

  printf("%s : %s\n", tz2, ch);

  return 0;
}

